Docs Ali Pix /openapi/v2/video/mimic/generate
API reference

Action imitation (Mimic) video generation

Make the person in a reference image mimic actions from a source video (Mimic).

POST/openapi/v2/video/mimic/generate

Body Parametersapplication/json

img_id* integer

img_id obtained after uploading the image

quality* string

"360p","540p","720p","1080p"

source_video_id integer

The video_id generated by Paiwo API must be passed in source_video_id or video_media_id

video_media_id integer

For videos uploaded through the interface media_id, source_video_id or video_media_id must be passed

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"img_id": 0,
3"quality": "360p",
4"video_media_id": 0
5}
Code Sample cURL
1curl -X POST "https://api.digislash.com/openapi/v2/video/mimic/generate" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"img_id": 0,
6"quality": "360p",
7"video_media_id": 0
8}'
Response
1▼{
2"ErrCode": 0,
3"ErrMsg": "success",
4▼"RespData": {
5"id": 123456
6}
7}